Subject: bug#55013: Guix-emacs doesn't work

From: Cayetano Santos <[email-masked]>
Date: Fri, 29 Nov 2024 12:01:08 +0100

>ven. 29 nov. 2024 at 11:38, Cayetano Santos <[email-masked]> wrote:

> Same for me, and I’m a regular user of guix-emacs.
>
> I manage to reproduce the issue within a container, though, and even
> outside with ‘emacs -q -nw’.

Not outside, sorry.

> I’m really curious about what exactly makes it work within my own
> configuration.

Ok, I have something:

login shell

mkdir -p ~/.guix-profiles/borrar
guix install -p ~/.guix-profiles/borrar/guix-profile emacs emacs-guix
export GUIX_PROFILE=$HOME/.guix-profiles/$1/guix-profile
. "$GUIX_PROFILE/etc/profile"
emacs -q -nw

Tested:

M-x guix-packages-by-name
M-x guix-installed-packages

No problem here. So the issue is related with the guix shell container,
in my opinion (unless there is something else in my default profile).

Could someone confirm ?

--
Cayetano Santos